1. Addresses
  • Overview
  • Packages
    • Create Shipment
      POST
    • Generate AWB
      POST
    • Get Package Current Status
      GET
    • Get Package Status History
      GET
    • List Package Statuses
      GET
    • Cancel Package
      PUT
    • Return Package
      PUT
  • Webhooks
    • Package Status Webhook
  • Addresses
    • List Cities
      GET
    • List Regions
      GET
    • List Region Cities
      GET
    • List City Villages
      GET
    • List Service Types
      GET
  • Schemas
    • NoteMessage
    • AddressDto
    • CitiesTripsTimeSchedule
    • CreatingPackageDto
    • IntegrationPackageRequestDto
    • MainCitiesTripsTimeSchedule
    • PackageItemsToDeliver
    • PackageIdentifiersWrapper
    • LocalizedKeyData
    • PackageStatusResponse
    • City
    • GeofenceData
    • Package
  1. Addresses

List Regions

Developing
GET
/addresses/regions
Reference data - the regions configured for your company. Use a region's id as the regionId when listing that region's cities.
Note: this endpoint is part of the general company address book, not the API-key integration surface. Authenticate with a company-id header (your numeric company ID) instead of X-API-Key.

Request

Authorization
API Key
Add parameter in header
X-API-Key
Example:
X-API-Key: ********************
or
API Key
Add parameter in header
X-API-Key
Example:
X-API-Key: ********************
or
Query Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://apisv5.logestechs.com/api/addresses/regions?search=undefined&page=undefined&pageSize=undefined&isReturnAll=undefined' \
--header 'X-API-Key: <api-key>'
Response Response Example
{}
Modified at 2026-08-23 13:42:55
Previous
List Cities
Next
List Region Cities
Built with